Bug 1786299 - LB sg update ignored upon NP enforcement
Summary: LB sg update ignored upon NP enforcement
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ---
: 4.4.0
Assignee: Maysa Macedo
QA Contact: GenadiC
URL:
Whiteboard:
Depends On:
Blocks: 1786300
TreeView+ depends on / blocked
 
Reported: 2019-12-24 09:47 UTC by Luis Tomas Bolivar
Modified: 2020-05-04 11:22 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1786300 (view as bug list)
Environment:
Last Closed: 2020-05-04 11:21:35 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift kuryr-kubernetes pull 122 None closed Bug 1786299: Ensure LB sg update is retried when NP is enforced 2020-03-30 09:47:05 UTC
Launchpad 1856842 None None None 2019-12-24 09:47:49 UTC
OpenStack gerrit 699529 None MERGED Ensure LB sg update is retried when NP is enforced 2020-03-30 09:47:05 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-04 11:22:08 UTC

Description Luis Tomas Bolivar 2019-12-24 09:47:50 UTC
If a Network Policy is enforced, while a load balancer is finalizing the creation, the endpoints could be not yet annotated with the load balancer state and the update of the lb security group is ignored causing a security breach.

Comment 2 Itzik Brown 2020-01-30 14:34:50 UTC
Checked 4.4.0-0.nightly-2020-01-24-045907
Ran the NP test Feature:NetworkPolicy-01

Comment 4 errata-xmlrpc 2020-05-04 11:21:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.